Skip to main content
GET
Get Simulations

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Query Parameters

size
integer
default:300

Number of items per page

Required range: x >= 1
page
integer
default:1

Page number

Required range: x >= 1
search
string | null

Search keywords

start
string<date-time> | null

Filter by start time (ISO 8601 format)

end
string<date-time> | null

Filter by end time (ISO 8601 format)

logical_id
string | null
selected_workflow_id
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

counter_workflow_id
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

status
enum<string> | null
Available options:
pending,
running,
completed,
failed,
cancelled
selected_version_number
integer | null
counter_version_number
integer | null

Response

Successful Response

Response model for a list of simulations. Contains a list of SimulationConfigModel objects.

simulations
SimulationConfigModel · object[]

List of simulations

total
integer | null

Total number of simulations available without pagination.